--msdphelper.lua

--[[

This file is used to facilitate variable calls to msdphandler.

To use this plugin to send MSDP variables to your plugin, enter this into the top of your plugin's code:
  dofile(GetPluginInfo(GetPluginID(), 20) .. "msdphelper.lua")
	
Then whenever you want to set a variable, use this syntax:
  myVariable = getmsdp("VARIABLE NAME")

--]]


--==============================================================================
-- function used to retrieve information from msdphandler
--==============================================================================

function getmsdp(fieldname)
  if not IsConnected() then
    return nil
  end

	assert (fieldname, "nil fieldname passed to getmsdp()")
	
	rc, result = CallPlugin("5856ea0b73b9b4573524125a","msdpval",fieldname)
	
	if result ~= nil then
	  return result
	else
	  return nil
	end
end
